> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/es/powershell-commands/new-dsgatewayrulesetaccessrule.md).

# New-DSGatewayRulesetAccessRule

New-DSGatewayRulesetAccessRule crea una regla de acceso para un conjunto de reglas de puerta de enlace de Devolutions Server que permite o deniega el acceso por IP, subred, intervalo o valor DNS.

### Sinopsis

Crear una regla de acceso de un conjunto de reglas de puerta de enlace.

### Sintaxis

#### \_\_AllParameterSets

```
New-DSGatewayRulesetAccessRule [-Access] <GatewayAccessRule> [-Type] <NetworkAccessRuleType>
 [-Value] <string> [<CommonParameters>]
```

### Descripción

Crea una regla de acceso de un conjunto de reglas de puerta de enlace. Según el tipo especificado, se aplica una expresión regular correspondiente para validar el valor de entrada. Use el objeto resultante con [New-DSGatewayRuleset](/powershell/es/powershell-commands/new-dsgatewayruleset.md) o [Update-DSGatewayRuleset](/powershell/es/powershell-commands/update-dsgatewayruleset.md).

Este cmdlet se denominaba anteriormente New-DSVirtualGatewayAccessRule. Ese nombre sigue disponible como alias.

### Ejemplos

#### Ejemplo 1

```powershell
PS C:\> $rules = @(
    New-DSGatewayRulesetAccessRule -Access Deny -Type IP -Value '1.2.3.4'
    New-DSGatewayRulesetAccessRule -Access Deny -Type DNS 'a.com'
  )
PS C:\> $gatewayId = Get-DSGateway -Name 'GatewayA' | Select-Object -ExpandProperty ID
PS C:\> New-DSGatewayRuleset -LinkedGatewayID $gatewayId -Name 'My gateway ruleset' -Description 'A little description' -Rule $rules
```

Crear una puerta de enlace ruleset que deniegue el acceso desde una dirección IP específica y desde el dominio 'a.com'.

#### Ejemplo 2

```powershell
PS C:\> $gatewayId = Get-DSGateway -Name 'GatewayRulesetA' | Select-Object -ExpandProperty ID
PS C:\> $newRule = New-DSGatewayRulesetAccessRule -Access Deny -Type IP -Value '1.2.3.4'
PS C:\> Update-DSGatewayRuleset -GatewayID $gatewayId -Rule $newRule
```

Reemplazar todas las reglas de acceso existentes de la puerta de enlace ruleset por una que deniegue la dirección IP '1.2.3.4'.

### Parámetros

#### -Access

El efecto de la regla.

```yaml
Type: Devolutions.PowerShell.Enums.GatewayAccessRule
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Type

El tipo de la regla.

```yaml
Type: Devolutions.RemoteDesktopManager.NetworkAccessRuleType
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 1
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Value

El valor de la regla según el tipo.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 2
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Este cmdlet admite los parámetros comunes: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction y -WarningVariable. Para más información, consulte [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Salidas

#### Devolutions.PowerShell.PSOutputObject.PSGatewayAccessRule

Regla de acceso del conjunto de reglas de puerta de enlace que se usa en (New, Update)-DSGatewayRuleset.

### Notas

Para más información, escriba "Get-Help New-DSGatewayRulesetAccessRule -detailed". Para obtener información técnica, escriba "Get-Help New-DSGatewayRulesetAccessRule -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/es/powershell-commands/new-dsgatewayrulesetaccessrule.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
